package com.ruoyi.web.work.api;

import com.ruoyi.common.annotation.RepeatSubmit;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.work.api.config.BaseController;
import com.ruoyi.web.work.domain.dto.ResumeAdvantageDto;
import com.ruoyi.web.work.domain.dto.ResumeBaseDto;
import com.ruoyi.web.work.service.IResumeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

/**
 * 简历主
 *
 * @author lsw
 * @date 2024-06-04
 */
@RestController
@RequestMapping("/app/resume")
public class Api_ResumeController extends BaseController {
    @Autowired
    private IResumeService resumeService;

    @GetMapping("/user/index")
    public AjaxResult userIndex() {
        return resumeService.userIndex();
    }

    @PostMapping("/user/base")
    public AjaxResult userBase(@Validated @RequestBody ResumeBaseDto dto) {
        return resumeService.userBase(dto);
    }

    @PostMapping("/user/advantage")
    public AjaxResult userAdvantage(@Validated @RequestBody ResumeAdvantageDto dto) {
        return resumeService.userAdvantage(dto);
    }

}
