package com.ruoyi.web.work.domain.dto;

import com.ruoyi.common.core.validate.Regexp;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.Email;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;

/**
 * @author lsw
 * @date 2024-06-04
 */
@Data
@Accessors(chain = true)
public class ResumeBaseDto {

    @NotBlank(message = "姓名不能为空")
    @ApiModelProperty(value = "姓名")
    private String name;

    @NotBlank(message = "头像不能为空")
    @ApiModelProperty(value = "头像")
    private String avatar;

    @NotBlank(message = "性别不能为空")
    @ApiModelProperty(value = "性别")
    private String sex;

    @ApiModelProperty(value = "年龄:根=据出生年月自动计算")
    private Integer age;

    @NotBlank(message = "学历不能为空")
    @ApiModelProperty(value = "学历")
    private String qualification;

    @ApiModelProperty(value = "工作经验")
    private String experience;

    @NotBlank(message = "参与工作时间不能为空")
    @ApiModelProperty(value = "参与工作时间")
    private String joinDate;

    @NotBlank(message = "手机号不能为空")
    @Pattern(regexp = Regexp.PHONE, message = "手机号不合法")
    @ApiModelProperty(value = "手机号")
    private String phone;

    @NotBlank(message = "出生年月不能为空")
    @ApiModelProperty(value = "出生年月")
    private String birthday;

    @NotBlank(message = "邮箱不能为空")
    @Email(message = "邮箱格式不对")
    @ApiModelProperty(value = "邮箱")
    private String email;

}
